body{
    font-family: Arial;
}
.container {
    /*---------------- display grid y derivados */

    display: grid;
    /* tamaño de columna de 3 columnas */
    /* grid-template-columns: 200px 200px 200px; */
    /* grid-template-columns: 25% 50% 25%; */
    
    /* tamaño de 2 y 3 filas */
    /* grid-template-rows: 200px 150px; */
    
    /* grid-template: filas / columnas */
    /* grid-template: 300px 100px 100px / 50% 200px 25%; */

    /*---------------- Fin de display grid y derivados */


    /*---------------- fracciones, repeat, minmax */

    /* fracciones fr (partes iguales) */
    /* grid-template: 300px 100px 100px / 1fr 1fr 1fr; */
    /* grid-template: 300px 100px 100px / repeat(3, 1fr); */        
    /* grid-template: 300px 100px 100px / repeat(3, 1fr); */
    
    /* en responsive tendrán como minima max  200px */
    /* grid-template: 300px 100px 100px / repeat(3, minmax(200px, 1fr)); */
    /* grid-template: 300px 100px 100px / minmax(200px, 1fr) 1fr 1fr; */

    /* grid-template: repeat(3, 1fr) / repeat(2, 1fr); */

    grid-template: 100px 1fr  150px/ 200px 1fr;

    /*---------------- Fin de fracciones, repeat, minmax */


    /* ------------------gap */

    /* parar margenes --> display grid, utilizar el gap */
    /* grid-column-gap: 30px; */
    /* grid-row-gap: 30px; */
    /* grid-gap: fila columnas; */
    /* grid-gap: 10px 10px; */
    grid-gap: 10px;

    /* ------------------Fin de gap */

    /* para que tome todo el espacio que tiene disponible */
    height: 100vh;

    /* ------------------grid template areas */

    /* 3 filas con dos columnas */
    grid-template-areas: "header header" 
                         "left contenido" 
                         "footer footer";

    /* ------------------Fin de grid template areas */


}

.item {
    background: lightblue;
    padding: 10px;
    border: 1px solid red;
    
    
}

/* Pseudo codigo css: Elemento del tipo .item (numero 4) */
.item:nth-of-type(4) {
    background-color: greenyellow;
    /* para obtener un scroll */
    overflow: auto;    
    display: grid;
    grid-template: 50px 50px 50px / 200px 200px 200px;
}

.item .item{
    background-color: yellow;
}


.header {
    grid-area: header;
}

.left {
    grid-area: left;

}

.contenido {
    grid-area: contenido;
}

.footer {
    grid-area: footer;
}
